Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes | Protected Member Functions | Friends
tlp::IntegerAlgorithm Class Reference
Plugins

Interface for int plug-ins. More...

`#include <IntegerAlgorithm.h>`

Inheritance diagram for tlp::IntegerAlgorithm:
[legend]
Collaboration diagram for tlp::IntegerAlgorithm:
[legend]

List of all members.

## Public Member Functions

- virtual ~IntegerAlgorithm ()

## Public Attributes

- IntegerProperty * integerResult

## Protected Member Functions

- IntegerAlgorithm (const AlgorithmContext &context)

## Friends

- class IntegerProperty

## Detailed Description

Interface for int plug-ins.

## Constructor & Destructor Documentation

virtual tlp::IntegerAlgorithm::~IntegerAlgorithm | ( |  | ) | `[inline, virtual]`

tlp::IntegerAlgorithm::IntegerAlgorithm | ( | const AlgorithmContext & | context | ) | `[protected]`

## Friends And Related Function Documentation

friend class IntegerProperty`[friend]`

## Member Data Documentation

IntegerProperty* tlp::IntegerAlgorithm::integerResult

This int obj is the one associated to the algorithm, The data should be store in it

Tulip Software by LaBRI Visualization Team 2001 - 2012